// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.17.0

package db

import (
	"database/sql"
)

type DependabotEndoflife struct {
	Organisation    string
	Repo            string
	PackageName     string
	Version         string
	PackageManager  string
	PackageFilePath string
	ProductName     string
	Cycle           string
}

type EndoflifedateProduct struct {
	ProductName    string
	Cycle          string
	SupportedUntil sql.NullString
	EolFrom        sql.NullString
	InsertedAt     string
}

type RenovateEndoflife struct {
	Organisation    string
	Repo            string
	PackageName     string
	Version         string
	PackageManager  string
	PackageFilePath string
	ProductName     string
	Cycle           string
}
